plugin_magento_2
=======================

Version: 3.3.0

Contributors: Paysera

Tags: online payment, payment, payment gateway, SMS payments, international payments, mobile payment, sms pay, payment by sms, billing system, payment institution, macro payments, micro payments, sms bank

Requires at least: 2.1

Tested up to: 2.4.7

Requirements: Magento

License: GPLv3

License URL: http://www.gnu.org/licenses/gpl-3.0.html


Description
-----------

Collecting payments with Paysera is simple, fast and secure. It is enough to open Paysera account, install the plug-in to your store, and you will be able to use all the most popular ways of payment collection in one place.
No need for complicated programming or integration work. With Paysera you will receive real time notifications about successful transactions in your online store, and the money will reach you sooner.
No monthly, registration or connection fee.

It is simple to use and administer payment collection, and you can monitor movement of funds in your smartphone.
Client services and consultation takes place 7 days a week, from 8:00 till 20:00 (EET)
Payments are made in real time.

Paysera applies the lowest fees on the market, and payments from foreign banks and systems are converted at best possible rates.

To use this plugin, register at paysera.com and create your project. You will get your project ID and signature, which should be written in this plugin settings.


Installation
------------	

Video: https://youtu.be/2EJhTjE7TZg

-= Installation by FTP =-

1. Download Paysera module zip file;

2. Connect to the FTP server and go to Magento base directory;

3. Go to folder:
    /app/code
    
    If folder "code" doesn't exist - create it;
    
4. Create a folder "Paysera" and open it;

5. Create a folder "Magento2Paysera" and open it;

6. Extract the content of Paysera plugin zip file;

7. Open the Terminal and go to the base directory of Magento and enter these commands:

    composer require webtopay/libwebtopay "^3"

    composer require evp/money "^2"

    php bin/magento setup:upgrade
    
    php bin/magento setup:di:compile
     
8. Connect to Magento Admin panel.

9. Configure Paysera module in Magento Admin panel:
    Stores - Configuration - Sales - Payment Methods - All popular payment methods | Paysera
    
10. Save changes.


-= Installation using marketplace =-

1. Connect to Magento Marketplace and search for Paysera Payment Gateway;

2. Order Paysera plugin;

3. Press Install after the order is complete;

4. Open the Terminal and go to the base directory of Magento and enter these commands:

    composer require "payserauk/magento2-paysera-module":"3.2.*"
    
    php bin/magento setup:upgrade
    
    php bin/magento setup:di:compile
     
5. Connect to Magento Admin panel.

6. Configure Paysera module in Magento Admin panel:
    Stores - Configuration - Sales - Payment Methods - All popular payment methods | Paysera
    
7. Save changes.


Version history
---------------
Version 3.3.0   - 2024-09-12

    * Fixed error on checkout with using webtopay/libwaytopay ^3 and PHP 8.2
    * Minimum required version of webtopay/libwebtopay increased to ^3
    * Fixed incorrect displayed payment methods with other currencies
    * Fixed incorrect work "Use system value" - switches to "All allowed countries" and unselect specific countries
    * Fixed Project ID validation - prohibit to add "." sign

Version 3.2.0   - 2024-04-25

    * Quipu payment method list display issue fixed
    * Pass order increment id instead of order id to payment request
    * Fixed payment method display issue related to empty description

Version 3.1.9   - 2024-02-07

    * Pass extra information to payment request

Version 3.1.8   - 2024-01-23

    * Fixed Paysera plugin was active by default

Version 3.1.7   - 2023-06-07

    * Added plugin information on payment request

Version 3.1.6   - 2022-09-13

    * Specific country option fix
    * Added payment method filtering for min/max order amount

Version 3.1.5   - 2022-07-05

    * PHP 8.1 support

Version 3.1.4   - 2022-04-07

    * Memory crash at checkout fix

Version 3.1.3   - 2022-03-24

    * Updated logo

Version 3.1.2   - 2021-11-12

    * Payment methods translation fix

Version 3.1.1   - 2021-08-03

    * Translations fix

Version 3.1.0   - 2020-12-24
    
    * Payment display fix
    * Improved callback request logic
    * New payment parameter
    * Translations update

Version 3.0.9   - 2020-11-11
    
    * Translations update

Version 3.0.8   - 2020-09-08
    
    * Library update
    * Readme update
    
Version 3.0.7   - 2020-07-24
    
    * Fixed language selection bug

Version 3.0.6   - 2020-06-10
    
    * Code style fixes

Version 3.0.5   - 2020-05-14
    
    * Added payment information title
    * Improved country selection logic

Version 3.0.4   - 2020-04-01
    
    * Code fixes

Version 3.0.3   - 2019-03-22

    * Code fixes
    * Code improvement
    * Added language parameter
    * Added translations
    * Doc Blocks update
    
Version 3.0.2   - 2018-11-08

    * Code fixes

Version 3.0.1   - 2017-10-23

    * Code fixes

Version 3.0.0   - 2017-10-16

    * Initial release


Support
-------

For any questions, please look for the answers at https://support.paysera.com or contact customer support center by email  support@paysera.com or by phone +44 20 80996963 | +370 700 17217.

For technical documentation visit: https://developers.paysera.com/
